Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Bumped version bounds.

  • Loading branch information...
commit 67b51de43f3a80f7e44998ef3d11ce19f56b54e9 1 parent 9966246
John MacFarlane authored
Showing with 6 additions and 6 deletions.
  1. +6 −6 gitit.cabal
12 gitit.cabal
View
@@ -146,7 +146,7 @@ Executable gitit
bytestring,
text,
random,
- network >= 2.1.0.0 && < 2.4,
+ network >= 2.1.0.0 && < 2.5,
utf8-string >= 0.3 && < 0.4,
SHA > 1 && < 1.6,
HTTP >= 4000.0 && < 4000.3,
@@ -157,22 +157,22 @@ Executable gitit
filestore >= 0.5 && < 0.6,
zlib >= 0.5 && < 0.6,
url >= 2.1 && < 2.2,
- happstack-server >= 7.0 && < 7.1,
- base64-bytestring >= 0.1 && < 0.2,
+ happstack-server >= 7.0 && < 7.2,
+ base64-bytestring >= 0.1 && < 1.1,
xml >= 1.3.5,
- hslogger >= 1 && < 1.2,
+ hslogger >= 1 && < 1.3,
ConfigFile >= 1 && < 1.2,
feed >= 0.3.6 && < 0.4,
xss-sanitize >= 0.3 && < 0.4,
tagsoup >= 0.12 && < 0.13,
blaze-html >= 0.4 && < 0.6,
- json >= 0.4 && < 0.6
+ json >= 0.4 && < 0.8
if impl(ghc >= 6.10)
build-depends: base >= 4, syb
if impl(ghc >= 7.0.3)
-- without this, 'cabal install' tries to install an older
-- version of network; I'm not sure why:
- build-depends: network >= 2.3 && < 2.4
+ build-depends: network >= 2.3 && < 2.5
if flag(plugins)
build-depends: ghc, ghc-paths
cpp-options: -D_PLUGINS
Please sign in to comment.
Something went wrong with that request. Please try again.